Skip to main content
Try it live: Merge PDF → API Tester — send a real request from your browser.

POST /v1/pdf/merge

The total combined size of all input file URls must not exceed 2 GB. Requests that exceed this limit will not be processed.

Attributes

Attributes are case-sensitive and should be inside JSON for POST request. for example: { "url": "https://example.com/file1.pdf" }

Rename Matching Fields

This feature enables the renaming of field names during the merging of PDF files which contain forms. If set to false, it will retain the original field names. This is helpful for merged PDF forms with identical field names when the customer wants to auto-fill the identical field names in other pages.

Generate Bookmarks

This adds bookmarks to the merged document with names assigned to every merged document in the same order:

Include / Exclude from ZIPS

You can control which files to include and exclude from input zip files with a profiles.
zipIncludeFilter and zipExcludeFilter support * and ? wildcards.

Change Document Title

You can chnage the document title during a merge with the following:

Query parameters

No query parameters accepted.

Responses

Example Payload

To see the request size limits, please refer to the Request Size Limits.

Example Response

To see the main response codes, please refer to the Response Codes page.
Inconsistent URL Encoding in cURL Output: When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (&) may appear as \u0026 in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you’re parsing the response programmatically, your JSON parser will handle this conversion automatically.

Code Samples